Cannot install old version

Hello.

I had to restore my AppleTV 2G, now I cannot install aTV Flash Black. I cannot download any version, since my licence has expired. I’ve found some very old version (since I was updating in Apple TV), however I cannot install it. The installer tells me that I’m trying to install old version.

What should I do?

How can I get the latest version I can use accrding to my old licence and how can I install it?

 

Thanks.

I do not think there is any way to do this.  As I understand it if you do not have support active then you cannot re-install any version.   I would suggest you raise a support incident with FireCore explaining the situation and see what they say.

I wrote to support and the issue is solved now. Firecore is awesome!